net.arnx.wmf2svg.gdi.svg

## Class SvgDc

- java.lang.Object
- - net.arnx.wmf2svg.gdi.svg.SvgDc

- All Implemented Interfaces:
    Cloneable

      public class SvgDc
      extends Object
      implements Cloneable

  Author:
    Hidekatsu Izuno

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvgDc(SvgGdi gdi)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `int` | `getBkColor()`
    `int` | `getBkMode()`
    `net.arnx.wmf2svg.gdi.svg.SvgBrush` | `getBrush()`
    `int` | `getCurrentX()`
    `int` | `getCurrentY()`
    `int` | `getDpi()`
    `net.arnx.wmf2svg.gdi.svg.SvgFont` | `getFont()`
    `long` | `getLayout()`
    `int` | `getMapMode()`
    `long` | `getMapperFlags()`
    `Element` | `getMask()`
    `int` | `getOffsetClipX()`
    `int` | `getOffsetClipY()`
    `net.arnx.wmf2svg.gdi.svg.SvgPen` | `getPen()`
    `int` | `getPolyFillMode()`
    `int` | `getRelAbs()`
    `int` | `getROP2()`
    `String` | `getRopFilter(long rop)`
    `int` | `getStretchBltMode()`
    `int` | `getTextAlign()`
    `int` | `getTextCharacterExtra()`
    `int` | `getTextColor()`
    `int` | `getTextSpace()`
    `int` | `getWindowHeight()`
    `int` | `getWindowWidth()`
    `int` | `getWindowX()`
    `int` | `getWindowY()`
    `void` | `moveToEx(int x, int y, Point old)`
    `void` | `offsetClipRgn(int x, int y)`
    `void` | `offsetViewportOrgEx(int x, int y, Point old)`
    `void` | `offsetWindowOrgEx(int x, int y, Point old)`
    `void` | `scaleViewportExtEx(int x, int xd, int y, int yd, Size old)`
    `void` | `scaleWindowExtEx(int x, int xd, int y, int yd, Size old)`
    `void` | `setBkColor(int color)`
    `void` | `setBkMode(int mode)`
    `void` | `setBrush(net.arnx.wmf2svg.gdi.svg.SvgBrush brush)`
    `void` | `setDpi(int dpi)`
    `void` | `setFont(net.arnx.wmf2svg.gdi.svg.SvgFont font)`
    `void` | `setLayout(long layout)`
    `void` | `setMapMode(int mode)`
    `void` | `setMapperFlags(long flags)`
    `void` | `setMask(Element mask)`
    `void` | `setPen(net.arnx.wmf2svg.gdi.svg.SvgPen pen)`
    `void` | `setPolyFillMode(int mode)`
    `void` | `setRelAbs(int mode)`
    `void` | `setROP2(int mode)`
    `void` | `setStretchBltMode(int mode)`
    `void` | `setTextAlign(int align)`
    `void` | `setTextCharacterExtra(int extra)`
    `void` | `setTextColor(int color)`
    `void` | `setTextSpace(int space)`
    `void` | `setViewportExtEx(int width, int height, Size old)`
    `void` | `setViewportOrgEx(int x, int y, Point old)`
    `void` | `setWindowExtEx(int width, int height, Size old)`
    `void` | `setWindowOrgEx(int x, int y, Point old)`
    `double` | `toAbsoluteX(double x)`
    `double` | `toAbsoluteY(double y)`
    `double` | `toRelativeX(double x)`
    `double` | `toRelativeY(double y)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SvgDc

          public SvgDc(SvgGdi gdi)

  - ### Method Detail

    - #### getDpi

          public int getDpi()

    - #### setWindowOrgEx

          public void setWindowOrgEx(int x,
                            int y,
                            Point old)

    - #### setWindowExtEx

          public void setWindowExtEx(int width,
                            int height,
                            Size old)

    - #### offsetWindowOrgEx

          public void offsetWindowOrgEx(int x,
                               int y,
                               Point old)

    - #### scaleWindowExtEx

          public void scaleWindowExtEx(int x,
                              int xd,
                              int y,
                              int yd,
                              Size old)

    - #### getWindowX

          public int getWindowX()

    - #### getWindowY

          public int getWindowY()

    - #### getWindowWidth

          public int getWindowWidth()

    - #### getWindowHeight

          public int getWindowHeight()

    - #### setViewportOrgEx

          public void setViewportOrgEx(int x,
                              int y,
                              Point old)

    - #### setViewportExtEx

          public void setViewportExtEx(int width,
                              int height,
                              Size old)

    - #### offsetViewportOrgEx

          public void offsetViewportOrgEx(int x,
                                 int y,
                                 Point old)

    - #### scaleViewportExtEx

          public void scaleViewportExtEx(int x,
                                int xd,
                                int y,
                                int yd,
                                Size old)

    - #### offsetClipRgn

          public void offsetClipRgn(int x,
                           int y)

    - #### getMapMode

          public int getMapMode()

    - #### setMapMode

          public void setMapMode(int mode)

    - #### getCurrentX

          public int getCurrentX()

    - #### getCurrentY

          public int getCurrentY()

    - #### getOffsetClipX

          public int getOffsetClipX()

    - #### getOffsetClipY

          public int getOffsetClipY()

    - #### moveToEx

          public void moveToEx(int x,
                      int y,
                      Point old)

    - #### toAbsoluteX

          public double toAbsoluteX(double x)

    - #### toAbsoluteY

          public double toAbsoluteY(double y)

    - #### toRelativeX

          public double toRelativeX(double x)

    - #### toRelativeY

          public double toRelativeY(double y)

    - #### setDpi

          public void setDpi(int dpi)

    - #### getBkColor

          public int getBkColor()

    - #### setBkColor

          public void setBkColor(int color)

    - #### getBkMode

          public int getBkMode()

    - #### setBkMode

          public void setBkMode(int mode)

    - #### getTextColor

          public int getTextColor()

    - #### setTextColor

          public void setTextColor(int color)

    - #### getPolyFillMode

          public int getPolyFillMode()

    - #### setPolyFillMode

          public void setPolyFillMode(int mode)

    - #### getRelAbs

          public int getRelAbs()

    - #### setRelAbs

          public void setRelAbs(int mode)

    - #### getROP2

          public int getROP2()

    - #### setROP2

          public void setROP2(int mode)

    - #### getStretchBltMode

          public int getStretchBltMode()

    - #### setStretchBltMode

          public void setStretchBltMode(int mode)

    - #### getTextSpace

          public int getTextSpace()

    - #### setTextSpace

          public void setTextSpace(int space)

    - #### getTextAlign

          public int getTextAlign()

    - #### setTextAlign

          public void setTextAlign(int align)

    - #### getTextCharacterExtra

          public int getTextCharacterExtra()

    - #### setTextCharacterExtra

          public void setTextCharacterExtra(int extra)

    - #### getLayout

          public long getLayout()

    - #### setLayout

          public void setLayout(long layout)

    - #### getMapperFlags

          public long getMapperFlags()

    - #### setMapperFlags

          public void setMapperFlags(long flags)

    - #### getBrush

          public net.arnx.wmf2svg.gdi.svg.SvgBrush getBrush()

    - #### setBrush

          public void setBrush(net.arnx.wmf2svg.gdi.svg.SvgBrush brush)

    - #### getFont

          public net.arnx.wmf2svg.gdi.svg.SvgFont getFont()

    - #### setFont

          public void setFont(net.arnx.wmf2svg.gdi.svg.SvgFont font)

    - #### getPen

          public net.arnx.wmf2svg.gdi.svg.SvgPen getPen()

    - #### setPen

          public void setPen(net.arnx.wmf2svg.gdi.svg.SvgPen pen)

    - #### setMask

          public void setMask(Element mask)

    - #### getMask

          public Element getMask()

    - #### getRopFilter

          public String getRopFilter(long rop)

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`